local L = AceLibrary("AceLocale-2.2"):new("EnchantingSell")

    EnchantingSell_Quality = {
	["Quality_Health"] = {
		[1] = {"Minor"; 5};
		[2] = {"Lesser"; 15};
		[3] = {"None"; 25};
		[4] = {"Greater"; 35};
		[5] = {"Superior"; 50};
		[6] = {"Major"; 100};
		[7] = {"Exceptional"; 150};
	};
	["Quality_Deflection"] = {
		[1] = {"Minor"; 2};
		[2] = {"Lesser"; 3};
		[3] = {"None"; 5};
	};
	["Quality_Mana"] = {
		[1] = {"Minor"; 5};
		[2] = {"Lesser"; 20};
		[3] = {"None"; 30};
		[4] = {"Greater"; 50};
		[5] = {"Superior"; 65};
		[6] = {"Major"; 100};
--		[7] = {"Exceptional"; 150};		--added but commented out.  this is not currently in-game
	};
	["Quality_Absorption"] = {
		[1] = {"Minor"; "2% Abs10pd"};
		[2] = {"Lesser"; "5% Abs25pd"};
	};
	["Quality_OneCarac"] = {
		[1] = {"Minor"; 1};
		[2] = {"Lesser"; 3};
		[3] = {"None"; 5};
		[4] = {"Greater"; 7};
		[5] = {"Superior"; 9};
		[6] = {"Major"; 9};
	};
	["Quality_Int_Bracers"] = {
		[1] = {"Minor"; 1};
		[2] = {"Lesser"; 3};
		[3] = {"None"; 5};
		[4] = {"Greater"; 7};
		[5] = {"Superior"; 9};
		[6] = {"Major"; 12};
	};
	["Quality_Int_2HWeapon"] = {
		[1] = {"Lesser"; 3};
		[2] = {"Major"; 9};
	};
	["Quality_Int_Weapon"] = {
		[1] = {"Mighty"; 22};
		[2] = {"Major"; 30};
	};
	["Quality_Spirit_Weapon"] = {
		[1] = {"Minor"; 1};
		[2] = {"Lesser"; 3};
		[3] = {"None"; 5};
		[4] = {"Greater"; 7};
		[5] = {"Superior"; 9};
		[6] = {"Major"; 9};
		[7] = {"Mighty"; 20};
	};
	["Quality_Caract"] = {
		[1] = {"Minor"; 1};
		[2] = {"Lesser"; 2};
		[3] = {"None"; 3};
		[4] = {"Greater"; 4};
		[5] = {"Exceptional"; 6};
	};
	["Quality_Armure"] = {
		[1] = {"Minor"; 10};
		[2] = {"Lesser"; 20};
		[3] = {"None"; 30};
		[4] = {"Greater"; 50};
		[5] = {"Superior"; 70};
	};
	["Quality_Degat1M"] = {
		[1] = {"Minor"; 1};
		[2] = {"Lesser"; 2};
		[3] = {"None"; 3};
		[4] = {"Greater"; 4};
		[5] = {"Superior"; 5};
		[6] = {"Major"; 7};
	};
	["Quality_Degat2M"] = {
		[1] = {"Minor"; 2};
		[2] = {"Lesser"; 3};
		[3] = {"None"; 5};
		[4] = {"Greater"; 7};
		[5] = {"Superior"; 9};
	};
	["Quality_Tueur"] = {
		[1] = {"Minor"; 2};
		[2] = {"Lesser"; 6};
	};
	["Quality_Metier"] = {
		[1] = {"None"; 2};
		[2] = {"Advanced"; 5};
	};
	["Quality_Cloak_FireResist"] = {
		[1] = {"Lesser"; 5};
		[2] = {"None"; 7};
		[3] = {"Greater"; 15};
	};
	["Quality_Cloak_ShadowResist"] = {
		[1] = {"Lesser"; 10};
		[2] = {"Greater"; 15};
	};
	["Quality_Agility_2HWeapon"] = {
		[1] = {"None"; 25};
		[2] = {"Major"; 35};
	};
	["Quality_AllResist"] = {
		[1] = {"Minor"; 1};
		[2] = {"None"; 3};
		[3] = {"Greater"; 5};
		[4] = {"Major"; 7};
	};
	["Quality_ForNew"] = {
		[1] = {"Minor"; 0};
		[2] = {"Lesser"; 0};
		[3] = {"None"; 0};
		[4] = {"Greater"; 0};
		[5] = {"Superior"; 0};
		[6] = {"Major"; 0};
	};
	["Quality_Agility_Gloves"] = {
		[1] = {"None"; 5};
		[2] = {"Greater"; 7};
		[3] = {"Superior"; 15};
	};
	["Quality_Agility_Cloak"] = {
		[1] = {"Minor"; 1};
		[2] = {"Lesser"; 3};
		[3] = {"Greater"; 12};
	};
	["Quality_Mana_Regen"] = {
		[1] = {"None"; 4};
	};
	["Quality_Stamina_Shield"] = {
		[1] = {"Minor"; 1};
		[2] = {"Lesser"; 3};
		[3] = {"None"; 5};
		[4] = {"Greater"; 7};
		[5] = {"Major"; 18};
	};
	["Quality_Block_Shield"] = {
		[1] = {"Lesser"; 10};
		[2] = {"Shield"; 15};
	};
	["Quality_Strength_Gloves"] = {
		[1] = {"None"; 5};
		[2] = {"Greater"; 7};
		[3] = {"Major"; 15};
	};
	["Quality_SplPwr_Weapon"] = {
		[1] = {"None"; 30};
		[2] = {"Major"; 40};
	};
    };
    
L:RegisterTranslations("enUS", function() return {
    ["Enchanting"] = true,
    ["Enchant"] = true,
    ["Enchanting Seller"] = true,
    ["Filter By Armor"] = true,
    ["Have Materials"] = true,
    ["Sort by feasibility"] = true,
    ["EnchantingSeller has prevented you from changing this filter.  Changing this filter can have an unexpected result while using EnchantingSeller."] = true,
    ["EnchantingSeller has detected that your database is outdated.  It will be reset now."] = true,
    ["PATTERN_EnchantName"] = "^(.+)%s%-%s.+",
    ["PATTERN_Quality"] = "^.+%s%-%s(.+)",
    ["Header tooltip"] = "Click to Sort this column",
    ["Reagent Header tooltip"] = "Click to send reagent list to chat",

    ["ARMOR_TYPES"] = {
	[1] = {"Boots", "Boots"};
	[2] = {"Bracer", "Bracer"};
	[3] = {"Chest", "Chest"};
	[4] = {"Cloak", "Cloak"};
	[5] = {"Gloves", "Gloves"};
	[6] = {"Oil", "Oil"};
	[7] = {"Ring", "Ring"};
	[8] = {"Rod", "Rod"};
	[9] = {"Shield", "Shield"};
	[10] = {"Trinket", "Trinket"};
	[11] = {"Wand", "Wand"};
	[12] = {"2H Weapon", "2H Weap"};
	[13] = {"Weapon", "Weapon"};
	[14] = {"Other", "Other"};
    };
    ["OBJECT_TYPES"] = {
	{"Runed Copper Rod", "Runed Copper", "Rod"},
	{"Runed Silver Rod", "Runed Silver", "Rod"},
	{"Runed Golden Rod", "Runed Golden", "Rod"},
	{"Runed Truesilver Rod", "Runed Truesilver", "Rod"},
	{"Runed Arcanite Rod", "Runed Arcanite", "Rod"},
	{"Runed Fel Iron Rod", "Runed Fel Iron", "Rod"},
	{"Runed Adamantite Rod", "Runed Adamantite", "Rod"},
	{"Runed Eternium Rod", "Runed Eternium", "Rod"},
	{"Lesser Magic Wand", "(Arc)dps:11.3", "Wand"},
	{"Greater Magic Wand", "(Arc)dps:17.5", "Wand"},
	{"Lesser Mystic Wand", "(Arc)dps:25.4", "Wand"},
	{"Greater Mystic Wand", "(Arc)dps:29.0", "Wand"},
	{"Minor Mana Oil", "Mana +4", "Oil"},
	{"Lesser Mana Oil", "Mana +8", "Oil"},
	{"Brilliant Mana Oil", "Mana +12", "Oil"},
	{"Superior Mana Oil", "Mana +14", "Oil"},
	{"Minor Wizard Oil", "Spl Dmg +8", "Oil"},
	{"Lesser Wizard Oil", "Spl Dmg +16", "Oil"},
	{"Wizard Oil", "Spl Dmg +24", "Oil"},
	{"Brilliant Wizard Oil", "Spl Dmg +36", "Oil"},
	{"Superior Wizard Oil", "Spl Dmg +42", "Oil"},
	{"Enchanted Thorium", "Enchanted Thorium", "Other"},
	{"Enchanted Leather", "Enchanted Leather", "Other"},
	{"Charged Scale of Onyxia", "Charged Scale of Onyxia", "Other"},
	{"Smoking Heart of the Mountain", "Smoking Heart of the Mountain", "Trinket"},
	{"Large Prismatic Shard", "Large Prismatic", "Other"},
	{"Prismatic Sphere", "Prismatic Sphere", "Other"},
	{"Void Sphere", "Void Sphere", "Other"},
    };

-- to transform (Quality add) to (ShortQuality +number)
-- exemple : for (Enchant Bracer - Minor Stamina)
-- name is (Enchant Bracer); and Quality is (Minor Stamina)
-- for the name the mod check if exist in table EnchantingSell_ArmorCarac[i][1];
-- 		EnchantingSell_ArmorCarac[2][1] == Bracer, ok is good; show in framemod EnchantingSell_ArmorCarac[2][2] (Bracer)
-- for the quality the mod check if exist in table EnchantingSell_BonusCarac[i][1];
--		EnchantingSell_BonusCarac[12][1] == Stamina, ok is good; show in framemod EnchantingSell_BonusCarac[12][1] (Sta);
--		now for add check in table EnchantingSell_BonusCarac[7][3](ref in other table EnchantingSell_Quality) if exist,
--		ok for Minor in ["Quality_OneCarac"] is (1)
-- (Enchant Bracer - Minor Stamina) become (Bracer Sta +1)
-- the fourting param (EnchantingSell_BonusCarac[i][4]) is for characteristic, exemple for protection on the shield Lesser = +30 and normally is +20
    ["BONUS_TYPES"] = {
	{"Intellect";							"Int";					{[1] = {"None"; 12}};								"Shield"};
	{"Intellect";							"Int";					EnchantingSell_Quality["Quality_Int_Weapon"];					"Weapon"};
	{"Intellect";							"Int";					EnchantingSell_Quality["Quality_Int_2HWeapon"];					"2H Weap"};
	{"Intellect";							"Int";					EnchantingSell_Quality["Quality_Int_Bracers"];			nil};
	{"Agility";							"Agi";					{[1] = {"None"; 15}};								"Weapon"};
	{"Agility";							"Agi";					EnchantingSell_Quality["Quality_Agility_2HWeapon"];				"2H Weap"};
	{"Agility";							"Agi";					EnchantingSell_Quality["Quality_Agility_Gloves"];				"Gloves"};
	{"Agility";							"Agi";					EnchantingSell_Quality["Quality_Agility_Cloak"];			"Cloak"};
	{"Agility";							"Agi";					EnchantingSell_Quality["Quality_OneCarac"];			nil};
	{"Dexterity";							"Agi";					{[1] = {"None"; 12}};								"Boots"};
	{"Stamina";							"Sta";					EnchantingSell_Quality["Quality_Stamina_Shield"];				"Shield"};
	{"Stamina";							"Sta";					EnchantingSell_Quality["Quality_OneCarac"];			nil};
	{"Fortitude";							"Sta";					{[1] = {"None"; 12}};								nil};
	{"Spirit";							"Spi";					EnchantingSell_Quality["Quality_Spirit_Weapon"];				"Weapon"};
	{"Spirit";							"Spi";					{[1] = {"Major"; 15}};								"Chest"};
	{"Spirit";							"Spi";					EnchantingSell_Quality["Quality_OneCarac"];			nil};
	{"Strength";							"Str";					{[1] ={"None"; 15}};								"Weapon"};
	{"Strength";							"Str";					EnchantingSell_Quality["Quality_Strength_Gloves"];				"Gloves"};
	{"Strength";							"Str";					EnchantingSell_Quality["Quality_OneCarac"];			nil};
	{"Potency";							"Str";					{[1] ={"None"; 20}};								"Weapon"};
	{"Brawn";							"Str";					{[1] = {"None"; 12}};								"Bracer"};
	{"Stats";							"AllStats";				EnchantingSell_Quality["Quality_Caract"];			"Chest"};
	{"Stats";							"AllStats";				{[1] = {"None"; 4}};						"Bracer"};
	{"Stats";							"AllStats";				{[1] = {"None"; 4}};								"Ring"};
	{"Assault";							"AP";					{[1] = {"None"; 24}};								"Bracer"};
	{"Assault";							"AP";					{[1] = {"None"; 26}};								"Gloves"};
	{"Savagery";							"AP";					{[1] ={"None"; 70}};								"2H Weap"};
	{"Striking";							"Damage";				{[1] = {"None"; 2}};								"Ring"};
	{"Striking";							"Damage";				EnchantingSell_Quality["Quality_Degat1M"];			nil};
	{"Impact";							"Damage";				EnchantingSell_Quality["Quality_Degat2M"];			nil};
	{"Haste";							"At speed";				{[1] = {"Minor"; "1%"}};						nil};
	{"Spellpower";							"Spl Dmg";				{[1] = {"None"; 12}};								"Ring"};
	{"Spellpower";							"Spl Dmg";				{[1] = {"None"; 15}};								"Bracer"};
	{"Spellpower";							"Spl Dmg";				EnchantingSell_Quality["Quality_SplPwr_Weapon"];				"Weapon"};
	{"Major Spellpower";						"Spl Dmg";				{[1] = {"None"; 20}};								"Gloves"};
	{"Shadow Power";						"Sha Dmg";				{[1] = {"None"; 20}};								"Gloves"};
	{"Frost Power";							"Frost Dmg";				{[1] = {"None"; 20}};								"Gloves"};
	{"Fire Power";							"Fire Dmg";				{[1] = {"None"; 20}};								"Gloves"};
	{"Healing Power";						"Healing";				{[1] = {"None"; 55}};								"Weapon"};
	{"Healing Power";						"Healing";				{[1] = {"None"; 30}};								"Gloves"};
	{"Healing Power";						"Healing";				{[1] = {"None"; 24}};								"Bracer"};
	{"Healing Power";						"Healing";				{[1] = {"None"; 20}};								"Ring"};
	{"Superior Healing";						"Healing";				{[1] = {"None"; 30}};								"Bracer"};
	{"Major Healing";						"Healing";				{[1] = {"None"; 35}};								"Gloves"};
	{"Major Healing";						"Healing";				{[1] ={"None"; 81}};								"Weapon"};
	{"Restore Mana Prime";						"mp5";					{[1] = {"None"; 6}};								nil};
	{"Mana Regeneration";						"mp5";					EnchantingSell_Quality["Quality_Mana_Regen"];				"Bracer"};
	{"Vitality";							"mp5";					{[1] = {"None"; 4}};								"Boots"};
	{"Minor Health";						"Health";				{[1] = {"None"; 5}};								"Bracer"};
	{"Health";							"Health";				EnchantingSell_Quality["Quality_Health"];			"Chest"};
	{"Mana";							"Mana";					EnchantingSell_Quality["Quality_Mana"];				"Chest"};
	{"Spell Strike";						"Spl Hit";				{[1] = {"None"; 15}};								"Gloves"};
	{"Blasting";							"Spl Crit";				{[1] = {"None"; 10}};								"Gloves"};
	{"Spell Penetration";						"Spl Pen";				{[1] = {"None"; 20}};								"Cloak"};
	{"Dodge";							"Dodge";				{[1] = {"None"; 12}};								"Cloak"};
	{"Block";							"BR";					EnchantingSell_Quality["Quality_Block_Shield"];					"Shield"};
	{"Tough Shield";						"BV";					{[1] = {"None"; 18}};								"Shield"};
	{"Major Armor";							"Armor";				{[1] = {"None"; 120}};								"Cloak"};
	{"Protection";							"Armor";				{[1] = {"Lesser"; 30}};								"Shield"};
	{"Protection";							"Armor";				EnchantingSell_Quality["Quality_Armure"];					nil};
	{"Defense";							"Armor";				EnchantingSell_Quality["Quality_Armure"];					"Cloak"};
	{"Major Defense";						"Def";					{[1] = {"None"; 12}};								"Bracer"};
	{"Deflection";							"Def";					EnchantingSell_Quality["Quality_Deflection"];					"Bracer"};
	{"Absorption";							"";					EnchantingSell_Quality["Quality_Absorption"];		nil};
	{"Beastslayer";							"Beast";				EnchantingSell_Quality["Quality_Tueur"];			nil};
	{"Elemental Slayer";						"Elemental Slayer";			EnchantingSell_Quality["Quality_Tueur"];			nil};
	{"Demonslaying";						"Demonslaying";				nil;												nil};
	{"Fire Resistance";						"Fire Resi";				EnchantingSell_Quality["Quality_Cloak_FireResist"];		nil};
	{"Nature Resistance";						"Nat Resi";				{[1] = {"Greater"; 15}};							"Cloak"};
	{"Frost Resistance";						"Frost Resi";				{[1] = {"None"; 8}};								nil};
	{"Shadow Resistance";						"Sha Resi";				EnchantingSell_Quality["Quality_Cloak_ShadowResist"];								nil};
	{"Arcane Resistance";						"Arc Resi";				{[1] = {"Greater"; 15}};							"Cloak"};
	{"Resistance";							"Resistance";				{[1] = {"None"; 5}};								"Shield"};
	{"Resistance";							"Resistance";				EnchantingSell_Quality["Quality_AllResist"];		nil};
	{"Resilience";							"Resi";					{[1] = {"Major"; 15}};								"Chest"};
	{"Herbalism";							"Herbalism";				EnchantingSell_Quality["Quality_Metier"];			nil};
	{"Mining";							"Mining";					EnchantingSell_Quality["Quality_Metier"];			nil};
	{"Fishing";							"Fishing";					EnchantingSell_Quality["Quality_Metier"];			nil};
	{"Skinning";							"Skinning";					{[1] = {"None"; 5}};								nil};
	{"Weapon Might";						"Damage";				{[1] = {"None"; 2}};								"Ring"};
    };
} end)
